package cn.com.ty.lift.ud.tableDict.controller.query;

import cn.com.ty.lift.ud.common.BasePageQuery;
import cn.com.ty.lift.ud.tableDict.mapper.entity.TableDictEntity;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

import java.util.Date;

/**
 * 数据字典表 查询条件
 * 
 * @author Xson
 * @date 2020-05-07
 */
@Data
@ApiModel(description = "数据字典表 查询条件")
public final class TableDictQuery extends BasePageQuery {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
     private Integer id;

    /**
     * 表名
     */
    @ApiModelProperty("表名")
     private String tableName;

    /**
     * 字段
     */
    @ApiModelProperty("字段")
    private String field;

    /**
     * code
     */
    @ApiModelProperty("code")
    private String code;

    /**
     * velue
     */
    @ApiModelProperty("velue")
    private String val;

    /**
     * 描述
     */
    @ApiModelProperty("描述")
    private String descr;

    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
     private String createBy;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
     private Date createTime;

    /**
     * 更新人
     */
    @ApiModelProperty("更新人")
     private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty("更新时间")
     private Date updateTime;




    /**
     * 查询条件
     * @return
     */
    @Override
    public Wrapper condition() {
        QueryWrapper<TableDictEntity> query = new QueryWrapper<>();
        //表名
        if (StringUtils.isNotBlank(tableName)) {
            query.like("table_name", tableName);
        }
        //字段名
        if (StringUtils.isNotBlank(field)) {
            query.like("field", field);
        }
        //按创建时间倒序
        query.orderByDesc("create_time");
        query.eq("1",1);
        return query;
    }

    /**
     * 分页条件
     * @return
     */
    @Override
    public IPage page() {
        Page<TableDictEntity> page = new Page<>(getPageNum(), getPageSize());
        return page;
    }

}

